//*****************************************
//************ _7_Escalera *** ************
//*****************************************
// Original code by canalplc
// http://canalplc.blogspot.com.es/
// Version 1.0
// July 2016
//*****************************************
//
bool MOTOR = 0;
int CONTADOR = 0;
#include <PC_SIMU.h>
PC_SIMU PLC;
void setup() {
  pinMode(2, INPUT); // I0.2.- On/Off
  pinMode(3, INPUT); // I0.3.- Paro
  pinMode(4, INPUT); // I0.4.- Barrera fotoelectrica
  pinMode(5, OUTPUT); // Q0.5.- Motor
  digitalWrite(5, 0);
  //
  PLC.INI(); 
}
void loop() {
  if(digitalRead(2) == 1)
  {
    // Paro
    if(digitalRead(3) == 1) MOTOR = 0;   
    // Barrera
    if(digitalRead(4) == 1) 
    {
      MOTOR = 1;
      CONTADOR = 0;
    }
  }
  else MOTOR = 0;
  if(MOTOR == 1) MOTOR_ON();
  else MOTOR_OFF();
}
void MOTOR_ON(){
    digitalWrite(5, 1);
    CONTADOR++;
    if(CONTADOR >= 30000) 
    {
     MOTOR = 0;
     CONTADOR = 0;
    }
}
void MOTOR_OFF(){
  digitalWrite(5, 0); 
  CONTADOR = 0;
}

    
